darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.UI.Options.All

Description

All the concrete options.

Notes:

- The term "option" refers to a flag or combination of flags that together form a part of a command's configuration. Ideally, options should be orthogonal to each other, so we can freely combine them.
- A primitive (indivisible) option has an associate value type.
- An option named "xyzActions" represents a set of flags that act as mutually exclusive sub-commands. They typically have a dedicated value type named "XyzAction".
- This module is probably best imported qualified. This is in contrast to the current practice of using subtly differing names to avoid name clashes for closely related items. For instance, the data constructors for an option's value type and the corresponding data constructors in `DarcsFlag` may coincide. This is also why we import Darcs.UI.Flags qualified here.
- When the new options system is finally in place, no code other than the one for constructing options should directly refer to `DarcsFlag` constructors.

Synopsis

- type DarcsOption = OptSpec DarcsOptDescr Flag
- class YesNo a where
  - yes :: a -> Bool
  - no :: a -> Bool
- data RootAction
  - = RootHelp
  - | Version
  - | ExactVersion
  - | ListCommands
- rootActions :: PrimDarcsOption (Maybe RootAction)
- data StdCmdAction
  - = Help
  - | ListOptions
  - | Disable
- stdCmdActions :: PrimDarcsOption (Maybe StdCmdAction)
- debug :: PrimDarcsOption Bool
- data Verbosity
  - = Quiet
  - | NormalVerbosity
  - | Verbose
- verbosity :: PrimDarcsOption Verbosity
- timings :: PrimDarcsOption Bool
- debugging :: DarcsOption a (Bool -> Bool -> Bool -> a)
- data HooksConfig = HooksConfig {
  - pre :: HookConfig
  - post :: HookConfig
  }
- data HookConfig = HookConfig {
  - cmd :: Maybe String
  - prompt :: Bool
  }
- preHook :: DarcsOption a (HookConfig -> a)
- postHook :: DarcsOption a (HookConfig -> a)
- hooks :: DarcsOption a (HooksConfig -> a)
- data UseCache
  - = YesUseCache
  - | NoUseCache
- useCache :: PrimDarcsOption UseCache
- data XmlOutput
  - = NoXml
  - | YesXml
- xmlOutput :: PrimDarcsOption XmlOutput
- data DryRun
  - = YesDryRun
  - | NoDryRun
- dryRun :: PrimDarcsOption DryRun
- dryRunXml :: DarcsOption a (DryRun -> XmlOutput -> a)
- interactive :: PrimDarcsOption (Maybe Bool)
- pipe :: PrimDarcsOption Bool
- data WantGuiPause
  - = YesWantGuiPause
  - | NoWantGuiPause
- pauseForGui :: PrimDarcsOption WantGuiPause
- askDeps :: PrimDarcsOption Bool
- module Darcs.UI.Options.Matching
- data SelectDeps
  - = NoDeps
  - | AutoDeps
  - | PromptDeps
- selectDeps :: PrimDarcsOption SelectDeps
- changesReverse :: PrimDarcsOption Bool
- maxCount :: PrimDarcsOption (Maybe Int)
- repoDir :: PrimDarcsOption (Maybe String)
- data RemoteRepos = RemoteRepos [String]
- remoteRepos :: PrimDarcsOption RemoteRepos
- possiblyRemoteRepo :: PrimDarcsOption (Maybe String)
- newRepo :: PrimDarcsOption (Maybe String)
- data NotInRemote
  - = NotInDefaultRepo
  - | NotInRemotePath String
- notInRemote :: PrimDarcsOption [NotInRemote]
- notInRemoteFlagName :: String
- data RepoCombinator
  - = Intersection
  - | Union
  - | Complement
- repoCombinator :: PrimDarcsOption RepoCombinator
- allowUnrelatedRepos :: PrimDarcsOption Bool
- justThisRepo :: PrimDarcsOption Bool
- data WithWorkingDir
  - = WithWorkingDir
  - | NoWorkingDir
- withWorkingDir :: PrimDarcsOption WithWorkingDir
- data SetDefault
  - = YesSetDefault Bool
  - | NoSetDefault Bool
- setDefault :: PrimDarcsOption (Maybe Bool)
- data InheritDefault
  - = YesInheritDefault
  - | NoInheritDefault
- inheritDefault :: PrimDarcsOption InheritDefault
- patchname :: PrimDarcsOption (Maybe String)
- author :: PrimDarcsOption (Maybe String)
- data AskLongComment
  - = NoEditLongComment
  - | YesEditLongComment
  - | PromptLongComment
- askLongComment :: PrimDarcsOption (Maybe AskLongComment)
- keepDate :: PrimDarcsOption Bool
- data Logfile = Logfile {
  - _logfile :: Maybe AbsolutePath
  - _rmlogfile :: Bool
  }
- logfile :: PrimDarcsOption Logfile
- data LookFor = LookFor {
  - adds :: LookForAdds
  - replaces :: LookForReplaces
  - moves :: LookForMoves
  }
- data LookForAdds
  - = YesLookForAdds
  - | NoLookForAdds
- data LookForMoves
  - = YesLookForMoves
  - | NoLookForMoves
- data LookForReplaces
  - = YesLookForReplaces
  - | NoLookForReplaces
- lookfor :: PrimDarcsOption LookFor
- lookforadds :: LookForAdds -> PrimDarcsOption LookForAdds
- lookforreplaces :: PrimDarcsOption LookForReplaces
- lookformoves :: PrimDarcsOption LookForMoves
- data UseIndex
  - = UseIndex
  - | IgnoreIndex
- data ScanKnown
  - = ScanKnown
  - | ScanAll
  - | ScanBoring
- data IncludeBoring
  - = YesIncludeBoring
  - | NoIncludeBoring
- includeBoring :: PrimDarcsOption IncludeBoring
- allowProblematicFilenames :: DarcsOption a (Bool -> Bool -> a)
- allowCaseDifferingFilenames :: PrimDarcsOption Bool
- allowWindowsReservedFilenames :: PrimDarcsOption Bool
- onlyToFiles :: PrimDarcsOption Bool
- useIndex :: PrimDarcsOption UseIndex
- recursive :: PrimDarcsOption Bool
- data DiffAlgorithm
  - = PatienceDiff
  - | MyersDiff
- diffAlgorithm :: PrimDarcsOption DiffAlgorithm
- data WithContext
  - = NoContext
  - | YesContext
- withContext :: PrimDarcsOption WithContext
- data ExternalDiff = ExternalDiff {
  - diffCmd :: Maybe String
  - diffOpts :: [String]
  - diffUnified :: Bool
  }
- extDiff :: PrimDarcsOption ExternalDiff
- data TestChanges
  - = NoTestChanges
  - | YesTestChanges LeaveTestDir
- testChanges :: PrimDarcsOption TestChanges
- data RunTest
  - = YesRunTest
  - | NoRunTest
- runTest :: PrimDarcsOption RunTest
- data LeaveTestDir
  - = YesLeaveTestDir
  - | NoLeaveTestDir
- leaveTestDir :: PrimDarcsOption LeaveTestDir
- data HeaderFields = HeaderFields {
  - _to, _cc :: [String]
  - _from, _subject, _inReplyTo :: Maybe String
  }
- headerFields :: PrimDarcsOption HeaderFields
- sendToContext :: PrimDarcsOption (Maybe AbsolutePath)
- mail :: PrimDarcsOption Bool
- sendmailCmd :: PrimDarcsOption (Maybe String)
- charset :: PrimDarcsOption (Maybe String)
- editDescription :: PrimDarcsOption Bool
- applyAs :: PrimDarcsOption (Maybe String)
- data Sign
  - = NoSign
  - | Sign
  - | SignAs String
  - | SignSSL String
- sign :: PrimDarcsOption Sign
- data Verify
  - = NoVerify
  - | VerifyKeyring AbsolutePath
  - | VerifySSL AbsolutePath
- verify :: PrimDarcsOption Verify
- data AllowConflicts
  - = NoAllowConflicts
  - | YesAllowConflicts
  - | YesAllowConflictsAndMark
- conflictsNo :: PrimDarcsOption (Maybe AllowConflicts)
- conflictsYes :: PrimDarcsOption (Maybe AllowConflicts)
- data ExternalMerge
  - = YesExternalMerge String
  - | NoExternalMerge
- externalMerge :: PrimDarcsOption ExternalMerge
- reorder :: PrimDarcsOption Reorder
- data Compression
  - = NoCompression
  - | GzipCompression
- compress :: PrimDarcsOption Compression
- usePacks :: PrimDarcsOption Bool
- data WithPatchIndex
  - = YesPatchIndex
  - | NoPatchIndex
- patchIndexNo :: PrimDarcsOption WithPatchIndex
- patchIndexYes :: PrimDarcsOption WithPatchIndex
- data Reorder
  - = NoReorder
  - | Reorder
- minimize :: PrimDarcsOption Bool
- storeInMemory :: PrimDarcsOption Bool
- data Output
  - = Output AbsolutePathOrStd
  - | OutputAutoName AbsolutePath
- output :: PrimDarcsOption (Maybe Output)
- data WithSummary
  - = NoSummary
  - | YesSummary
- withSummary :: PrimDarcsOption WithSummary
- maybeSummary :: Maybe WithSummary -> PrimDarcsOption (Maybe WithSummary)
- data RemoteDarcs
  - = RemoteDarcs String
  - | DefaultRemoteDarcs
- data NetworkOptions = NetworkOptions {
  - noHttpPipelining :: Bool
  - remoteDarcs :: RemoteDarcs
  }
- network :: PrimDarcsOption NetworkOptions
- data UMask
  - = YesUMask String
  - | NoUMask
- umask :: PrimDarcsOption UMask
- data SetScriptsExecutable
  - = YesSetScriptsExecutable
  - | NoSetScriptsExecutable
- setScriptsExecutable :: PrimDarcsOption SetScriptsExecutable
- amendUnrecord :: PrimDarcsOption Bool
- selectAuthor :: PrimDarcsOption Bool
- machineReadable :: PrimDarcsOption Bool
- data CloneKind
  - = LazyClone
  - | NormalClone
  - | CompleteClone
- cloneKind :: PrimDarcsOption CloneKind
- distname :: PrimDarcsOption (Maybe String)
- distzip :: PrimDarcsOption Bool
- marks :: DarcsOption a (Maybe String -> Maybe String -> a)
- readMarks :: PrimDarcsOption (Maybe String)
- writeMarks :: PrimDarcsOption (Maybe String)
- data PatchFormat
  - = PatchFormat1
  - | PatchFormat2
  - | PatchFormat3
- patchFormat :: PrimDarcsOption PatchFormat
- hashed :: PrimDarcsOption ()
- data ChangesFormat
  - = HumanReadable
  - | MachineReadable
  - | GenContext
  - | GenXml
  - | NumberPatches
  - | CountPatches
- changesFormat :: PrimDarcsOption (Maybe ChangesFormat)
- tokens :: PrimDarcsOption (Maybe String)
- forceReplace :: PrimDarcsOption Bool
- data TestStrategy
  - = Once
  - | Linear
  - | Backoff
  - | Bisect
- testStrategy :: PrimDarcsOption TestStrategy
- files :: PrimDarcsOption Bool
- directories :: PrimDarcsOption Bool
- pending :: PrimDarcsOption Bool
- nullFlag :: PrimDarcsOption Bool
- data EnumPatches
  - = NoEnumPatches
  - | YesEnumPatches
- enumPatches :: PrimDarcsOption EnumPatches
- data GzcrcsAction
  - = GzcrcsCheck
  - | GzcrcsRepair
- gzcrcsActions :: PrimDarcsOption (Maybe GzcrcsAction)
- siblings :: PrimDarcsOption [AbsolutePath]

# Documentation

type DarcsOption = OptSpec DarcsOptDescr Flag #

`DarcsOption` instantiates the first two type parameters of `OptSpec` to what we need in darcs. The first parameter is instantiated to The flag type is instantiate to `Flag`.

class YesNo a where #

Minimal complete definition

yes

Methods

yes :: a -> Bool #

no :: a -> Bool #

#### Instances

Instances details

YesNo Compression # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: Compression -> Bool # no :: Compression -> Bool #
YesNo DryRun # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: DryRun -> Bool # no :: DryRun -> Bool #
YesNo IncludeBoring # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: IncludeBoring -> Bool # no :: IncludeBoring -> Bool #
YesNo InheritDefault # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: InheritDefault -> Bool # no :: InheritDefault -> Bool #
YesNo LeaveTestDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LeaveTestDir -> Bool # no :: LeaveTestDir -> Bool #
YesNo LookForAdds # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForAdds -> Bool # no :: LookForAdds -> Bool #
YesNo LookForMoves # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForMoves -> Bool # no :: LookForMoves -> Bool #
YesNo LookForReplaces # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForReplaces -> Bool # no :: LookForReplaces -> Bool #
YesNo Reorder # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: Reorder -> Bool # no :: Reorder -> Bool #
YesNo RunTest # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: RunTest -> Bool # no :: RunTest -> Bool #
YesNo SetScriptsExecutable # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: SetScriptsExecutable -> Bool # no :: SetScriptsExecutable -> Bool #
YesNo UseCache # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseCache -> Bool # no :: UseCache -> Bool #
YesNo UseIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseIndex -> Bool # no :: UseIndex -> Bool #
YesNo WantGuiPause # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WantGuiPause -> Bool # no :: WantGuiPause -> Bool #
YesNo WithPatchIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithPatchIndex -> Bool # no :: WithPatchIndex -> Bool #
YesNo WithWorkingDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithWorkingDir -> Bool # no :: WithWorkingDir -> Bool #
YesNo EnumPatches # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: EnumPatches -> Bool # no :: EnumPatches -> Bool #
YesNo WithContext # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithContext -> Bool # no :: WithContext -> Bool #
YesNo WithSummary # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithSummary -> Bool # no :: WithSummary -> Bool #
YesNo XmlOutput # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: XmlOutput -> Bool # no :: XmlOutput -> Bool #

data RootAction #

Options for darcs iself that act like sub-commands.

Constructors

RootHelp |
Version |
ExactVersion |
ListCommands |

#### Instances

Instances details

Show RootAction # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> RootAction -> ShowS # show :: RootAction -> String # showList :: [RootAction] -> ShowS #
Eq RootAction # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: RootAction -> RootAction -> Bool # (/=) :: RootAction -> RootAction -> Bool #

rootActions :: PrimDarcsOption (Maybe RootAction) #

data StdCmdAction #

Constructors

Help |
ListOptions |
Disable |

#### Instances

Instances details

Show StdCmdAction # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> StdCmdAction -> ShowS # show :: StdCmdAction -> String # showList :: [StdCmdAction] -> ShowS #
Eq StdCmdAction # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: StdCmdAction -> StdCmdAction -> Bool # (/=) :: StdCmdAction -> StdCmdAction -> Bool #

stdCmdActions :: PrimDarcsOption (Maybe StdCmdAction) #

debug :: PrimDarcsOption Bool #

data Verbosity #

Constructors

Quiet |
NormalVerbosity |
Verbose |

#### Instances

Instances details

Show Verbosity # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> Verbosity -> ShowS # show :: Verbosity -> String # showList :: [Verbosity] -> ShowS #
Eq Verbosity # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: Verbosity -> Verbosity -> Bool # (/=) :: Verbosity -> Verbosity -> Bool #

verbosity :: PrimDarcsOption Verbosity #

timings :: PrimDarcsOption Bool #

debugging :: DarcsOption a (Bool -> Bool -> Bool -> a) #

data HooksConfig #

Constructors

HooksConfig |
Fields pre :: HookConfig post :: HookConfig

data HookConfig #

Constructors

HookConfig |
Fields cmd :: Maybe String prompt :: Bool

preHook :: DarcsOption a (HookConfig -> a) #

postHook :: DarcsOption a (HookConfig -> a) #

hooks :: DarcsOption a (HooksConfig -> a) #

data UseCache #

Constructors

YesUseCache |
NoUseCache |

#### Instances

Instances details

Show UseCache # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UseCache -> ShowS # show :: UseCache -> String # showList :: [UseCache] -> ShowS #
YesNo UseCache # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseCache -> Bool # no :: UseCache -> Bool #
Eq UseCache # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UseCache -> UseCache -> Bool # (/=) :: UseCache -> UseCache -> Bool #

useCache :: PrimDarcsOption UseCache #

data XmlOutput #

Constructors

NoXml |
YesXml |

#### Instances

Instances details

Show XmlOutput # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> XmlOutput -> ShowS # show :: XmlOutput -> String # showList :: [XmlOutput] -> ShowS #
YesNo XmlOutput # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: XmlOutput -> Bool # no :: XmlOutput -> Bool #
Eq XmlOutput # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: XmlOutput -> XmlOutput -> Bool # (/=) :: XmlOutput -> XmlOutput -> Bool #

xmlOutput :: PrimDarcsOption XmlOutput #

data DryRun #

Constructors

YesDryRun |
NoDryRun |

#### Instances

Instances details

Show DryRun # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> DryRun -> ShowS # show :: DryRun -> String # showList :: [DryRun] -> ShowS #
YesNo DryRun # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: DryRun -> Bool # no :: DryRun -> Bool #
Eq DryRun # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: DryRun -> DryRun -> Bool # (/=) :: DryRun -> DryRun -> Bool #

dryRun :: PrimDarcsOption DryRun #

TODO someone wrote here long ago that any time --dry-run is a possibility automated users should be able to examine the results more easily with --xml. See also issue2397. dryRun w/o xml is currently used in add, pull, and repair.

dryRunXml :: DarcsOption a (DryRun -> XmlOutput -> a) #

interactive :: PrimDarcsOption (Maybe Bool) #

pipe :: PrimDarcsOption Bool #

data WantGuiPause #

Constructors

YesWantGuiPause |
NoWantGuiPause |

#### Instances

Instances details

Show WantGuiPause # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WantGuiPause -> ShowS # show :: WantGuiPause -> String # showList :: [WantGuiPause] -> ShowS #
YesNo WantGuiPause # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WantGuiPause -> Bool # no :: WantGuiPause -> Bool #
Eq WantGuiPause # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WantGuiPause -> WantGuiPause -> Bool # (/=) :: WantGuiPause -> WantGuiPause -> Bool #

pauseForGui :: PrimDarcsOption WantGuiPause #

askDeps :: PrimDarcsOption Bool #

module Darcs.UI.Options.Matching

data SelectDeps #

Constructors

NoDeps |
AutoDeps |
PromptDeps |

#### Instances

Instances details

Show SelectDeps # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> SelectDeps -> ShowS # show :: SelectDeps -> String # showList :: [SelectDeps] -> ShowS #
Eq SelectDeps # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: SelectDeps -> SelectDeps -> Bool # (/=) :: SelectDeps -> SelectDeps -> Bool #

selectDeps :: PrimDarcsOption SelectDeps #

changesReverse :: PrimDarcsOption Bool #

maxCount :: PrimDarcsOption (Maybe Int) #

repoDir :: PrimDarcsOption (Maybe String) #

data RemoteRepos #

Constructors

RemoteRepos [String] |

#### Instances

Instances details

Show RemoteRepos # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> RemoteRepos -> ShowS # show :: RemoteRepos -> String # showList :: [RemoteRepos] -> ShowS #
Eq RemoteRepos # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: RemoteRepos -> RemoteRepos -> Bool # (/=) :: RemoteRepos -> RemoteRepos -> Bool #

remoteRepos :: PrimDarcsOption RemoteRepos #

possiblyRemoteRepo :: PrimDarcsOption (Maybe String) #

newRepo :: PrimDarcsOption (Maybe String) #

This option is for when a new repo gets created. Used for clone, convert import, convert darcs-2, and initialize. For clone and initialize it has the same effect as giving the name as a normal argument.

The `--repodir` alias is there for compatibility, should be removed eventually.

TODO We need a way to deprecate options / option names.

data NotInRemote #

Constructors

NotInDefaultRepo |
NotInRemotePath String |

notInRemote :: PrimDarcsOption [NotInRemote] #

notInRemoteFlagName :: String #

data RepoCombinator #

Constructors

Intersection |
Union |
Complement |

#### Instances

Instances details

Show RepoCombinator # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> RepoCombinator -> ShowS # show :: RepoCombinator -> String # showList :: [RepoCombinator] -> ShowS #
Eq RepoCombinator # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: RepoCombinator -> RepoCombinator -> Bool # (/=) :: RepoCombinator -> RepoCombinator -> Bool #

repoCombinator :: PrimDarcsOption RepoCombinator #

allowUnrelatedRepos :: PrimDarcsOption Bool #

justThisRepo :: PrimDarcsOption Bool #

data WithWorkingDir #

Constructors

WithWorkingDir |
NoWorkingDir |

#### Instances

Instances details

Show WithWorkingDir # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WithWorkingDir -> ShowS # show :: WithWorkingDir -> String # showList :: [WithWorkingDir] -> ShowS #
YesNo WithWorkingDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithWorkingDir -> Bool # no :: WithWorkingDir -> Bool #
Eq WithWorkingDir # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WithWorkingDir -> WithWorkingDir -> Bool # (/=) :: WithWorkingDir -> WithWorkingDir -> Bool #

withWorkingDir :: PrimDarcsOption WithWorkingDir #

convert, clone, init

data SetDefault #

Constructors

YesSetDefault Bool |
NoSetDefault Bool |

#### Instances

Instances details

Show SetDefault # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> SetDefault -> ShowS # show :: SetDefault -> String # showList :: [SetDefault] -> ShowS #
Eq SetDefault # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: SetDefault -> SetDefault -> Bool # (/=) :: SetDefault -> SetDefault -> Bool #

setDefault :: PrimDarcsOption (Maybe Bool) #

data InheritDefault #

Constructors

YesInheritDefault |
NoInheritDefault |

#### Instances

Instances details

Show InheritDefault # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> InheritDefault -> ShowS # show :: InheritDefault -> String # showList :: [InheritDefault] -> ShowS #
YesNo InheritDefault # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: InheritDefault -> Bool # no :: InheritDefault -> Bool #
Eq InheritDefault # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: InheritDefault -> InheritDefault -> Bool # (/=) :: InheritDefault -> InheritDefault -> Bool #

inheritDefault :: PrimDarcsOption InheritDefault #

patchname :: PrimDarcsOption (Maybe String) #

author :: PrimDarcsOption (Maybe String) #

data AskLongComment #

Constructors

NoEditLongComment |
YesEditLongComment |
PromptLongComment |

#### Instances

Instances details

Show AskLongComment # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> AskLongComment -> ShowS # show :: AskLongComment -> String # showList :: [AskLongComment] -> ShowS #
Eq AskLongComment # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: AskLongComment -> AskLongComment -> Bool # (/=) :: AskLongComment -> AskLongComment -> Bool #

askLongComment :: PrimDarcsOption (Maybe AskLongComment) #

keepDate :: PrimDarcsOption Bool #

data Logfile #

Constructors

Logfile |
Fields _logfile :: Maybe AbsolutePath _rmlogfile :: Bool

logfile :: PrimDarcsOption Logfile #

data LookFor #

Constructors

LookFor |
Fields adds :: LookForAdds replaces :: LookForReplaces moves :: LookForMoves

data LookForAdds #

Constructors

YesLookForAdds |
NoLookForAdds |

#### Instances

Instances details

Show LookForAdds # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForAdds -> ShowS # show :: LookForAdds -> String # showList :: [LookForAdds] -> ShowS #
YesNo LookForAdds # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForAdds -> Bool # no :: LookForAdds -> Bool #
Eq LookForAdds # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForAdds -> LookForAdds -> Bool # (/=) :: LookForAdds -> LookForAdds -> Bool #

data LookForMoves #

Constructors

YesLookForMoves |
NoLookForMoves |

#### Instances

Instances details

Show LookForMoves # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForMoves -> ShowS # show :: LookForMoves -> String # showList :: [LookForMoves] -> ShowS #
YesNo LookForMoves # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForMoves -> Bool # no :: LookForMoves -> Bool #
Eq LookForMoves # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForMoves -> LookForMoves -> Bool # (/=) :: LookForMoves -> LookForMoves -> Bool #

data LookForReplaces #

Constructors

YesLookForReplaces |
NoLookForReplaces |

#### Instances

Instances details

Show LookForReplaces # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForReplaces -> ShowS # show :: LookForReplaces -> String # showList :: [LookForReplaces] -> ShowS #
YesNo LookForReplaces # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForReplaces -> Bool # no :: LookForReplaces -> Bool #
Eq LookForReplaces # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForReplaces -> LookForReplaces -> Bool # (/=) :: LookForReplaces -> LookForReplaces -> Bool #

lookfor :: PrimDarcsOption LookFor #

lookforadds :: LookForAdds -> PrimDarcsOption LookForAdds #

lookforreplaces :: PrimDarcsOption LookForReplaces #

lookformoves :: PrimDarcsOption LookForMoves #

data UseIndex #

Constructors

UseIndex |
IgnoreIndex |

#### Instances

Instances details

Show UseIndex # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UseIndex -> ShowS # show :: UseIndex -> String # showList :: [UseIndex] -> ShowS #
YesNo UseIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseIndex -> Bool # no :: UseIndex -> Bool #
Eq UseIndex # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UseIndex -> UseIndex -> Bool # (/=) :: UseIndex -> UseIndex -> Bool #

data ScanKnown #

Constructors

ScanKnown | Just files already known to darcs
ScanAll | All files, i.e. look for new ones
ScanBoring | All files, even boring ones

#### Instances

Instances details

Show ScanKnown # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> ScanKnown -> ShowS # show :: ScanKnown -> String # showList :: [ScanKnown] -> ShowS #
Eq ScanKnown # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: ScanKnown -> ScanKnown -> Bool # (/=) :: ScanKnown -> ScanKnown -> Bool #

data IncludeBoring #

Constructors

YesIncludeBoring |
NoIncludeBoring |

#### Instances

Instances details

Show IncludeBoring # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> IncludeBoring -> ShowS # show :: IncludeBoring -> String # showList :: [IncludeBoring] -> ShowS #
YesNo IncludeBoring # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: IncludeBoring -> Bool # no :: IncludeBoring -> Bool #
Eq IncludeBoring # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: IncludeBoring -> IncludeBoring -> Bool # (/=) :: IncludeBoring -> IncludeBoring -> Bool #

includeBoring :: PrimDarcsOption IncludeBoring #

allowProblematicFilenames :: DarcsOption a (Bool -> Bool -> a) #

allowCaseDifferingFilenames :: PrimDarcsOption Bool #

allowWindowsReservedFilenames :: PrimDarcsOption Bool #

onlyToFiles :: PrimDarcsOption Bool #

TODO: see issue2395

useIndex :: PrimDarcsOption UseIndex #

recursive :: PrimDarcsOption Bool #

data DiffAlgorithm #

Constructors

PatienceDiff |
MyersDiff |

#### Instances

Instances details

Show DiffAlgorithm # |
Instance details Defined in Darcs.Util.Diff Methods showsPrec :: Int -> DiffAlgorithm -> ShowS # show :: DiffAlgorithm -> String # showList :: [DiffAlgorithm] -> ShowS #
Eq DiffAlgorithm # |
Instance details Defined in Darcs.Util.Diff Methods (==) :: DiffAlgorithm -> DiffAlgorithm -> Bool # (/=) :: DiffAlgorithm -> DiffAlgorithm -> Bool #

diffAlgorithm :: PrimDarcsOption DiffAlgorithm #

data WithContext #

Constructors

NoContext |
YesContext |

#### Instances

Instances details

Show WithContext # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> WithContext -> ShowS # show :: WithContext -> String # showList :: [WithContext] -> ShowS #
YesNo WithContext # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithContext -> Bool # no :: WithContext -> Bool #
Eq WithContext # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: WithContext -> WithContext -> Bool # (/=) :: WithContext -> WithContext -> Bool #

withContext :: PrimDarcsOption WithContext #

data ExternalDiff #

Constructors

ExternalDiff |
Fields diffCmd :: Maybe String diffOpts :: [String] diffUnified :: Bool

#### Instances

Instances details

Show ExternalDiff # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> ExternalDiff -> ShowS # show :: ExternalDiff -> String # showList :: [ExternalDiff] -> ShowS #
Eq ExternalDiff # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: ExternalDiff -> ExternalDiff -> Bool # (/=) :: ExternalDiff -> ExternalDiff -> Bool #

extDiff :: PrimDarcsOption ExternalDiff #

data TestChanges #

Constructors

NoTestChanges |
YesTestChanges LeaveTestDir |

#### Instances

Instances details

Eq TestChanges # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: TestChanges -> TestChanges -> Bool # (/=) :: TestChanges -> TestChanges -> Bool #

testChanges :: PrimDarcsOption TestChanges #

data RunTest #

Constructors

YesRunTest |
NoRunTest |

#### Instances

Instances details

Show RunTest # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> RunTest -> ShowS # show :: RunTest -> String # showList :: [RunTest] -> ShowS #
YesNo RunTest # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: RunTest -> Bool # no :: RunTest -> Bool #
Eq RunTest # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: RunTest -> RunTest -> Bool # (/=) :: RunTest -> RunTest -> Bool #

runTest :: PrimDarcsOption RunTest #

data LeaveTestDir #

Constructors

YesLeaveTestDir |
NoLeaveTestDir |

#### Instances

Instances details

Show LeaveTestDir # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LeaveTestDir -> ShowS # show :: LeaveTestDir -> String # showList :: [LeaveTestDir] -> ShowS #
YesNo LeaveTestDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LeaveTestDir -> Bool # no :: LeaveTestDir -> Bool #
Eq LeaveTestDir # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LeaveTestDir -> LeaveTestDir -> Bool # (/=) :: LeaveTestDir -> LeaveTestDir -> Bool #

leaveTestDir :: PrimDarcsOption LeaveTestDir #

data HeaderFields #

Constructors

HeaderFields |
Fields _to, _cc :: [String] _from, _subject, _inReplyTo :: Maybe String

headerFields :: PrimDarcsOption HeaderFields #

sendToContext :: PrimDarcsOption (Maybe AbsolutePath) #

mail :: PrimDarcsOption Bool #

sendmailCmd :: PrimDarcsOption (Maybe String) #

charset :: PrimDarcsOption (Maybe String) #

editDescription :: PrimDarcsOption Bool #

applyAs :: PrimDarcsOption (Maybe String) #

data Sign #

Constructors

NoSign |
Sign |
SignAs String |
SignSSL String |

#### Instances

Instances details

Show Sign # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> Sign -> ShowS # show :: Sign -> String # showList :: [Sign] -> ShowS #
Eq Sign # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: Sign -> Sign -> Bool # (/=) :: Sign -> Sign -> Bool #

sign :: PrimDarcsOption Sign #

data Verify #

Constructors

NoVerify |
VerifyKeyring AbsolutePath |
VerifySSL AbsolutePath |

#### Instances

Instances details

Show Verify # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> Verify -> ShowS # show :: Verify -> String # showList :: [Verify] -> ShowS #
Eq Verify # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: Verify -> Verify -> Bool # (/=) :: Verify -> Verify -> Bool #

verify :: PrimDarcsOption Verify #

data AllowConflicts #

Constructors

NoAllowConflicts |
YesAllowConflicts |
YesAllowConflictsAndMark |

#### Instances

Instances details

Show AllowConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> AllowConflicts -> ShowS # show :: AllowConflicts -> String # showList :: [AllowConflicts] -> ShowS #
Eq AllowConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: AllowConflicts -> AllowConflicts -> Bool # (/=) :: AllowConflicts -> AllowConflicts -> Bool #

conflictsNo :: PrimDarcsOption (Maybe AllowConflicts) #

push, apply, rebase apply: default to `NoAllowConflicts`

conflictsYes :: PrimDarcsOption (Maybe AllowConflicts) #

pull, rebase pull: default to `YesAllowConflictsAndMark`

data ExternalMerge #

Constructors

YesExternalMerge String |
NoExternalMerge |

#### Instances

Instances details

Show ExternalMerge # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> ExternalMerge -> ShowS # show :: ExternalMerge -> String # showList :: [ExternalMerge] -> ShowS #
Eq ExternalMerge # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: ExternalMerge -> ExternalMerge -> Bool # (/=) :: ExternalMerge -> ExternalMerge -> Bool #

externalMerge :: PrimDarcsOption ExternalMerge #

reorder :: PrimDarcsOption Reorder #

pull, apply, rebase pull, rebase apply

data Compression #

Constructors

NoCompression |
GzipCompression |

#### Instances

Instances details

Show Compression # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> Compression -> ShowS # show :: Compression -> String # showList :: [Compression] -> ShowS #
YesNo Compression # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: Compression -> Bool # no :: Compression -> Bool #
Eq Compression # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: Compression -> Compression -> Bool # (/=) :: Compression -> Compression -> Bool #

compress :: PrimDarcsOption Compression #

usePacks :: PrimDarcsOption Bool #

data WithPatchIndex #

Constructors

YesPatchIndex |
NoPatchIndex |

#### Instances

Instances details

Show WithPatchIndex # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WithPatchIndex -> ShowS # show :: WithPatchIndex -> String # showList :: [WithPatchIndex] -> ShowS #
YesNo WithPatchIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithPatchIndex -> Bool # no :: WithPatchIndex -> Bool #
Eq WithPatchIndex # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WithPatchIndex -> WithPatchIndex -> Bool # (/=) :: WithPatchIndex -> WithPatchIndex -> Bool #

patchIndexNo :: PrimDarcsOption WithPatchIndex #

patchIndexYes :: PrimDarcsOption WithPatchIndex #

data Reorder #

Constructors

NoReorder |
Reorder |

#### Instances

Instances details

YesNo Reorder # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: Reorder -> Bool # no :: Reorder -> Bool #
Eq Reorder # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: Reorder -> Reorder -> Bool # (/=) :: Reorder -> Reorder -> Bool #

minimize :: PrimDarcsOption Bool #

storeInMemory :: PrimDarcsOption Bool #

data Output #

Constructors

Output AbsolutePathOrStd |
OutputAutoName AbsolutePath |

#### Instances

Instances details

Show Output # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> Output -> ShowS # show :: Output -> String # showList :: [Output] -> ShowS #
Eq Output # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: Output -> Output -> Bool # (/=) :: Output -> Output -> Bool #

output :: PrimDarcsOption (Maybe Output) #

data WithSummary #

Constructors

NoSummary |
YesSummary |

#### Instances

Instances details

Show WithSummary # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> WithSummary -> ShowS # show :: WithSummary -> String # showList :: [WithSummary] -> ShowS #
YesNo WithSummary # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithSummary -> Bool # no :: WithSummary -> Bool #
Eq WithSummary # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: WithSummary -> WithSummary -> Bool # (/=) :: WithSummary -> WithSummary -> Bool #

withSummary :: PrimDarcsOption WithSummary #

maybeSummary :: Maybe WithSummary -> PrimDarcsOption (Maybe WithSummary) #

data RemoteDarcs #

Constructors

RemoteDarcs String |
DefaultRemoteDarcs |

#### Instances

Instances details

Show RemoteDarcs # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> RemoteDarcs -> ShowS # show :: RemoteDarcs -> String # showList :: [RemoteDarcs] -> ShowS #
Eq RemoteDarcs # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: RemoteDarcs -> RemoteDarcs -> Bool # (/=) :: RemoteDarcs -> RemoteDarcs -> Bool #

data NetworkOptions #

TODO: reconsider this grouping of options

Constructors

NetworkOptions |
Fields noHttpPipelining :: Bool remoteDarcs :: RemoteDarcs

network :: PrimDarcsOption NetworkOptions #

data UMask #

Constructors

YesUMask String |
NoUMask |

#### Instances

Instances details

Show UMask # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UMask -> ShowS # show :: UMask -> String # showList :: [UMask] -> ShowS #
Eq UMask # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UMask -> UMask -> Bool # (/=) :: UMask -> UMask -> Bool #

umask :: PrimDarcsOption UMask #

data SetScriptsExecutable #

Constructors

YesSetScriptsExecutable |
NoSetScriptsExecutable |

#### Instances

Instances details

Show SetScriptsExecutable # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> SetScriptsExecutable -> ShowS # show :: SetScriptsExecutable -> String # showList :: [SetScriptsExecutable] -> ShowS #
YesNo SetScriptsExecutable # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: SetScriptsExecutable -> Bool # no :: SetScriptsExecutable -> Bool #
Eq SetScriptsExecutable # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool # (/=) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool #

setScriptsExecutable :: PrimDarcsOption SetScriptsExecutable #

amendUnrecord :: PrimDarcsOption Bool #

selectAuthor :: PrimDarcsOption Bool #

machineReadable :: PrimDarcsOption Bool #

data CloneKind #

Constructors

LazyClone | Just copy pristine and inventories
NormalClone | First do a lazy clone then copy everything
CompleteClone | Same as Normal but omit telling user they can interrumpt

#### Instances

Instances details

Show CloneKind # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> CloneKind -> ShowS # show :: CloneKind -> String # showList :: [CloneKind] -> ShowS #
Eq CloneKind # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: CloneKind -> CloneKind -> Bool # (/=) :: CloneKind -> CloneKind -> Bool #

cloneKind :: PrimDarcsOption CloneKind #

distname :: PrimDarcsOption (Maybe String) #

distzip :: PrimDarcsOption Bool #

marks :: DarcsOption a (Maybe String -> Maybe String -> a) #

readMarks :: PrimDarcsOption (Maybe String) #

writeMarks :: PrimDarcsOption (Maybe String) #

data PatchFormat #

Constructors

PatchFormat1 |
PatchFormat2 |
PatchFormat3 |

#### Instances

Instances details

Show PatchFormat # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> PatchFormat -> ShowS # show :: PatchFormat -> String # showList :: [PatchFormat] -> ShowS #
Eq PatchFormat # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: PatchFormat -> PatchFormat -> Bool # (/=) :: PatchFormat -> PatchFormat -> Bool #

patchFormat :: PrimDarcsOption PatchFormat #

hashed :: PrimDarcsOption () #

Deprecated flag, still present to output an error message.

data ChangesFormat #

Constructors

HumanReadable |
MachineReadable |
GenContext |
GenXml |
NumberPatches |
CountPatches |

#### Instances

Instances details

Show ChangesFormat # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> ChangesFormat -> ShowS # show :: ChangesFormat -> String # showList :: [ChangesFormat] -> ShowS #
Eq ChangesFormat # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: ChangesFormat -> ChangesFormat -> Bool # (/=) :: ChangesFormat -> ChangesFormat -> Bool #

changesFormat :: PrimDarcsOption (Maybe ChangesFormat) #

tokens :: PrimDarcsOption (Maybe String) #

forceReplace :: PrimDarcsOption Bool #

data TestStrategy #

Constructors

Once |
Linear |
Backoff |
Bisect |

#### Instances

Instances details

Show TestStrategy # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> TestStrategy -> ShowS # show :: TestStrategy -> String # showList :: [TestStrategy] -> ShowS #
Eq TestStrategy # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: TestStrategy -> TestStrategy -> Bool # (/=) :: TestStrategy -> TestStrategy -> Bool #

testStrategy :: PrimDarcsOption TestStrategy #

files :: PrimDarcsOption Bool #

directories :: PrimDarcsOption Bool #

pending :: PrimDarcsOption Bool #

nullFlag :: PrimDarcsOption Bool #

data EnumPatches #

Constructors

NoEnumPatches |
YesEnumPatches |

#### Instances

Instances details

Show EnumPatches # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> EnumPatches -> ShowS # show :: EnumPatches -> String # showList :: [EnumPatches] -> ShowS #
YesNo EnumPatches # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: EnumPatches -> Bool # no :: EnumPatches -> Bool #
Eq EnumPatches # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: EnumPatches -> EnumPatches -> Bool # (/=) :: EnumPatches -> EnumPatches -> Bool #

enumPatches :: PrimDarcsOption EnumPatches #

data GzcrcsAction #

Constructors

GzcrcsCheck |
GzcrcsRepair |

#### Instances

Instances details

Show GzcrcsAction # |
Instance details Defined in Darcs.UI.Options.All Methods showsPrec :: Int -> GzcrcsAction -> ShowS # show :: GzcrcsAction -> String # showList :: [GzcrcsAction] -> ShowS #
Eq GzcrcsAction # |
Instance details Defined in Darcs.UI.Options.All Methods (==) :: GzcrcsAction -> GzcrcsAction -> Bool # (/=) :: GzcrcsAction -> GzcrcsAction -> Bool #

gzcrcsActions :: PrimDarcsOption (Maybe GzcrcsAction) #

siblings :: PrimDarcsOption [AbsolutePath] #